Package com.sap.ai.sdk.orchestration

# Class OrchestrationTemplateReference

java.lang.Object
com.sap.ai.sdk.orchestration.TemplateConfig
com.sap.ai.sdk.orchestration.OrchestrationTemplateReference

public final class OrchestrationTemplateReference extends TemplateConfig
A reference to a template to use in `OrchestrationModuleConfig`.

Since:
  1.4.0

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static enum`
  `OrchestrationTemplateReference.ScopeEnum`
  Enum representing the scope of the template reference.

  ## Nested classes/interfaces inherited from class com.sap.ai.sdk.orchestration.TemplateConfig

  `TemplateConfig.ReferenceBuilder, TemplateConfig.ReferenceBuilder1, TemplateConfig.ReferenceBuilder2`

- ## Constructor Summary

  Constructors
  Modifier
  Constructor
  Description
  `protected`
  `OrchestrationTemplateReference(TemplateRefTemplateRef reference, OrchestrationTemplateReference.ScopeEnum scope)`
  Creates a new `OrchestrationTemplateReference` instance.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected boolean`
  `canEqual(Object other)`
  `boolean`
  `equals(Object o)`
  `TemplateRefTemplateRef`
  `getReference()`
  `OrchestrationTemplateReference.ScopeEnum`
  `getScope()`
  The scope of the template reference.
  `int`
  `hashCode()`
  `protected PromptTemplatingModuleConfigPrompt`
  `toLowLevel()`
  Create a low-level representation of the template.
  `String`
  `toString()`
  `OrchestrationTemplateReference`
  `withScope(OrchestrationTemplateReference.ScopeEnum scope)`
  The scope of the template reference.

  ### Methods inherited from class com.sap.ai.sdk.orchestration.TemplateConfig

  `create, reference`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### OrchestrationTemplateReference

    protected OrchestrationTemplateReference(@Nonnull TemplateRefTemplateRef reference, @Nonnull OrchestrationTemplateReference.ScopeEnum scope)
    Creates a new `OrchestrationTemplateReference` instance.
    Parameters:
      `reference` -
      `scope` - The scope of the template reference.

- ## Method Details

  - ### toLowLevel

    @Nonnull protected PromptTemplatingModuleConfigPrompt toLowLevel()
    Create a low-level representation of the template.
    Specified by:
      `toLowLevel` in class `TemplateConfig`
    Returns:
      The low-level representation of the template.

  - ### getReference

    @Nonnull public TemplateRefTemplateRef getReference()

  - ### getScope

    @Nonnull public OrchestrationTemplateReference.ScopeEnum getScope()
    The scope of the template reference.

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### equals

    public boolean equals(Object o)
    Overrides:
      `equals` in class `TemplateConfig`

  - ### canEqual

    protected boolean canEqual(Object other)
    Overrides:
      `canEqual` in class `TemplateConfig`

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `TemplateConfig`

  - ### withScope

    public OrchestrationTemplateReference withScope(@Nonnull OrchestrationTemplateReference.ScopeEnum scope)
    The scope of the template reference.
    Returns:
      a clone of this object, except with this updated property (returns `this` if an identical value is passed).